
QGIS Application - Bug report #2846

Crash on loading 1-column raster

2010-06-29 06:10 AM - barryrowlingson -

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Rasters

Affected QGIS version: Regression?: No

Operating System: Unix Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 12906

Description

Loading the small geoTIFF from here:

http://www.maths.lancs.ac.uk/~rowlings/crashqgis.tif

into Qgis causes it to crash with no warnings.

The geoTIFF has one column, but gdalinfo copes with it and R can load it with the rgdal package on the same system.

Qgis is from the ubuntugis PPA, on Ubuntu 9.10, everything pretty stock.

On IRC:

 anita> doesn't crash my qgis 1.4 on ubuntu 9.4

History

#1 - 2010-06-30 09:29 AM - Paolo Cavallini

Confirmed here; qgis from trunk on Debian unstable, self compiled. Chrash message is:

Floating point error

#2 - 2010-07-05 01:40 AM - Anne Ghisla

The bug doesn't appear on up-to-date Debian testing, with self-compiled qgis commit:d4195f3d (SVN r13851).

#3 - 2010-07-05 05:46 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

commit:6e06848f (SVN r13890) fixes the crash. You need however zoom-in a few times to see the raster.
